ps2frag(1)

NAME
ps2frag - extract text fragments from EPS file

SYNOPSIS
ps2frag [ -f ] [ -209 ] [ -2e ] [ -x <dx> ] [ -y <dy> ] file1 file2 ...

DESCRIPTION
The program ps2frag extracts the position, orientation and content of each piece of text that a particular Encapsulated PostScript (EPS) file displays, and writes this information into the header of the same file. This file can then be processed with LaTeX to replace the text fragments with other LaTeX text fragments. The main purpose of the program is to overcome the problems one normally has to put LaTeX text in EPS figures made with applications with limited typesetting abilities.

OPTIONS

-f  Forces ps2frag to update the information in the EPS files, even if they have previously processed by ps2frag. Normally, ps2frag skips any files in which it detects PSfrag information.

-209
    Invokes LaTeX 2.09 mode. In this mode, the text information extracted from the EPS file is placed in a separate PSfrag file is generated with the same base name, as was done in the LaTeX 2.09 version of PSfrag. This option is supplied to allow LaTeX 2.09 documents to be maintained with the same script.

-2e Disables LaTeX 2.09 mode. This option is supplied in the event that ps2frag has been installed with LaTeX 2.09 compatibilty enabled by default. You can determine this by running ps2frag with no arguments; if the compatibility mode is enabled, it will say so.

-x,-y
    Specifies displacements, in points, in the X and Y directions to add to each text fragment. Some drawing programs add small offsets which cause the actual positions of the text to differ from that which was specified by the user. For example, idraw, with grid gravity on, shifts 12-point text upwards by 8.33 points; so for such files you might specify -y -8.33.

NOTES
See the PSfrag documentation for further use of ps2frag and examples.

FILES
(Found somewhere in the TeX tree)

epsf.sty
    Supplied mainly for LaTeX 2e's back-compatibility mode.

psfrag.sty
    The PSfrag sytle file.

ps2frag.ps
    a PostScript file used by ps2frag to let GhostScript extract text fragments.

SEE ALSO
dvips(1), gs(1), latex(1), perl(1)

AUTHORS

Michael C. Grant <mcgrant@isl.stanford.edu>
    Current maintainer of the package

Craig Barratt <craig@arraycomm.com>
    Original author of the package

Piet Tutelaers <rcpt@urc.tue.nl>
    The original version of this manual page.